# -*- mode: rd; coding: utf-8; indent-tabs-mode: nil -*-
=begin
= MANIFEST

:bin/rdswap.rb (Cle)
  RD swaping utility.
:bin/rd2
  frontend for RDtool.
:lib/rd/tree.rb
  RDtool Framework document tree part.
:lib/rd/rd-struct.rb
  RD Document Structure.
:lib/rd/rdfmt.rb
  old tree part.(obsolete)
:lib/rd/visitor.rb
  RDtool Framework visitor part.
:lib/rd/output-format-visitor.rb
  abstruct visitor class for formatting visitor.
:lib/rd/rd2html-lib.rb
  library for HTML format output.
:lib/rd/rd2man-lib.rb
  library for roff with man macro output.
:lib/rd/rdvisitor.rb
  old visitor part.(obsolete)
:lib/rd/filter.rb
  filter structure.(obsolete)
:lib/rd/dot.rd2rc
  default RC file.
:lib/rd/rdblockparser.ry
:lib/rd/rdinlineparser.ry
:lib/rd/block-element.rb
:lib/rd/complex-list-item.rb
:lib/rd/desclist.rb
:lib/rd/document-struct.rb
:lib/rd/element.rb
:lib/rd/inline-element.rb
:lib/rd/labeled-element.rb
:lib/rd/list.rb
:lib/rd/methodlist.rb
:lib/rd/rbl-file.rb
:lib/rd/rbl-suite.rb
:lib/rd/rd-struct.rb
:lib/rd/search-file.rb
:lib/rd/loose-struct.rb
:lib/rd/reference-resolver.rb
:lib/rd/version.rb
:lib/rd/rd2html-opt.rb
:lib/rd/head-filter.rb
:lib/rd/rd2html-ext-lib.rb
:lib/rd/rd2html-ext-opt.rb
  non-published parts of RDtool.
:lib/rd/rdblockparser.tab.rb
:lib/rd/rdinlineparser.tab.rb
  pre-compiled racc-generated parser. this works without Racc itself.
:utils/rd-mode.el (Arai, Tosh)
  Emacs major mode for RD.
:doc/rd-draft.rd(.ja)
  RD working draft.(obsolete)
:README.rd(.ja)
  README file.
:HISTORY
  this document.(RD format)

RDtool include files which is copyrighted by somebody elses.
  * Cle wrote bin/rdswap.rb. it's copyrighted by Cle.
  * Arai and Tosh wrote utils/rd-mode.el. it's copyrighted by Arai and Tosh.
  * Watanabe wrote lib/rd/rd2man-lib.rb. it's copyrighted by Watanabe.
  * Rubikitch wrote lib/rd/{head-filter,rd2html-ext-lib,rd2html-ext-opt}.rb.
    These are copyrighted by Rubikitch.
Please read these files for those lisence info.

= CHANGES

:0.6.38
  * Fix incompatibility between Ruby1.8 and Ruby1.9
    ARGF.filename return "-" if ARGV is empty on Ruby >= 1.9
    Thanks to okkez!!
:0.6.37
  * Fix rd2man-lib for Ruby1.9.1
:0.6.36
  * Fix rd2man-lib for Ruby1.9.1, remove invalid @filename.
:0.6.35
  * Fix rd2man-lib for Ruby1.9.1. Thanks to Salvatore Bonaccorso.
    See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=676154
:0.6.34
  * Add LGPL-2.1 for setup.rb
  * Add rd2html-ext-lib from rubikitch. Thanks!!
:0.6.33
  * Typo fixed
  * Remove makerdtool.rb, merge Rake task.
:0.6.32
  * Fix for Ruby 1.9.1. Thanks to Shin-ya Murakami
  * Update Rakefile to create gem and .tar.gz, no longer needed jeweler.
  * Add RD::Version into rd/version.rb
:0.6.31
  * Version bump from 0.6.21
  * Change Maintainer to Youhei SASAKI
  * Create gem. Many thanks to Kouhei Sutou!!
  * apply OptionParser Issue, Thanks to Masaki Hasegawa!!
:0.6.21
  * setup.rb version up -> 3.4.1
  * fix for Ruby 1.9.
:0.6.20
  * corrected copyright.
:0.6.19
  * corrected file permission.
  * setup.rb version up -> 3.4.0
  * remove 'changes'
:0.6.18
  * bin/rd2 UTF-8 support.
  * support Ruby 1.9.
  * makerdtools.rb fixed some bugs.
  * fixed install dot.rd2rc problem
  * fixed some bugs.
:0.6.17
  * utils/rd-mode.el patch from <shirai@p1jp.com>
:0.6.16
  * utils/rd-mode.el font-face patch from HIRAOKA by MoonWolf <moonwolf@moonwolf.com>
:0.6.15
  * re-packaging by MoonWolf <moonwolf@moonwolf.com>
:0.6.14
  * minor fix for Ruby 1.8.
  * now rd2man generates better output. (thank you, Sugiura-san.)
:0.6.13
  * now tabs are expanded into spaces.
  * removed <p> for TextBlock in DescListItem when the TextBlock is only
    element of ListItem.
  * a line of `---\n' are now regarded as Verbatim (or TextBlock).
  * changed style of HTML anchors from `label:' to `label-'.
  * fixed rd2man for better support of multiple paragraphs.
  * fixed some bugs.
:0.6.12
  * fixed some bugs.
:0.6.11
  * support Ruby 1.4.6. thanks. > Aoki-san
  * now `=begin' and `=end' are omitable. thanks. > Nakada-san
  * changed to omit <p>...</p> for some ListItem.
  * added `class="foottext"' attribute to <p> element for foottext.
    thanks. > Kimura-san
  * bug fix. thanks. > \ay-san, rubikitch-san, Tamura-san
  * added rd-mode-hook in rd-mode.el. changed key-binding. thanks. > Komiya-san
  * rd-intelligent-new-line (\M-RET) in rd-mode.el. thanks > Usui-san, Nakada-san

:0.6.10
  * fixed the bug that outputed HTML can have conflicted anchor and id.
  * improved performance.
  * corrected English of README.rd. thanks. > Robert Gustavsson
  * fixed DTD declaration of XHTML. thanks. > Narushima
  * fixed the bug around formatting man page.
  * separeted (({Visitor#apply_to_Reference})) into
    (({Visitor#apply_to_Reference_with_*}))s.
:0.6.9
  * fixed the bug that rd/dot.rd2rc isn't installed. thanks. > MUSHA
  * fixed the bug that module RD don't have class RDElement for backward
    compatibility.
  * fixed error occuring in error handler when "false" is the triger of
    parser error.
:0.6.8
  * version printing.
  * fixed the bug around Label conflict.
  * made (({outline-regexp})) buffer-local. thanks. > Yamaguchi
  * fixed error message for empty RD.
  * fixed the bug around parsing MethodList, empty Headline.
:0.6.7
  * fixed a bug about method index. thanks. > tam, knu
  * changed quotation in Reference of rd-mode.el. thanks. > rubikitch
  * fixed documentation. thanks. > hgs
  * fixed a bug about temporary file. thanks. > Nakada
  * changed usage of optparse. thanks. > Nakada
  * now rd2html-lib.rb output XHTML 1.0 Transitional.
  * --html-lang option for rd2html-lib.
  * now inline parser allow (('(('\a\'))')).
  * fixed a bug of missing '&' escape in URL text.
  * error messages for syntax error become more useful.
  * fixed mis-numbering of error messages for Inline syntax error.
  * now '======' is not regarded as Headline.
  * come to catch the exception which (({File.expand_path("~")})) throws
    on Windows.
  * missing/strscan.rb is removed.(strscan-0.6.x include pure Ruby version
    of it.)
:0.6.6
  * Comment support.
  * missing/rd{block,inline}parser.tab.rb -> missing/rd/...
  * workaroud bug around syntax of quoted strings in Reference.
  * added the declarations of tokens. (require Racc 1.1.5 or later.)
  * remove <P> for TextBlock in ListItem if the ListItem has only one
    Block.
  * fixed bug around DescList.
  * remove backtrase from error message when ParserError occured.
  * fixed bug of (({RDVisitor#method_parse})). thanks. > Knu
  * fixed bug.((({sort -> sort!}))) thanks. > Knu
  * fixed rd-mode.el. thanks. > Rubikitch
  * make install now uses ftools.rb instead of OS-dependent install command.
    thanks. > Komatsu
  * made  rd2  well-working on DOSISH OS. thanks. > Nagasawa
:0.6.5
  * missing/strscan.rb is added. this is for Win users who cannot compile
    extlib and install Racc.
  * rd2man is updated by Watanabe. thanks. > Watanabe
  * bug fix. thanks. > Rubikitch
:0.6.4
  * Test code for Reference to other file, include Nakada's RMI patch.
    thanks. > Nakada
  * Make block level parser exactly line oriented.
  * Indentation support functions for Verbatim in rd-mode.el.
    thanks. > Rubikitch
  * Function (({rd-show-label-list})) is added. thanks. > Rubikitch, Nakada
  * Bug fix
    * RDtool should prevent line break in Verb?
    * Parser should pass empty RD, and warn precisely.(50%)
    * when Verbatim after Lists with same indent, parse will fail.
    * implicit FILTER select for --with-part of rd2.(Fixed by Nakada)
    * an implicit bug(?).(Fixed by Nakada)
    * default Title of output HTML is empty.(Fixed by Nakada)
    * rmi2html.rb hasn't "#! /usr/bin/env ruby" as first line.

:0.6.3
  * rd/rd2html-lib, rd/rd2html-opt:
    new commandline options to set HTML Title.
  * rd/rd2man-lib: bug fix. thanks. > Dave
  * rd2: come to use /usr/bin/env trick. thanks too. > Dave
  * rd/rdinlineparser: A workaround for Regexp option change of Ruby 1.5.x.
  * util/rd-mode.el: code clean up. thanks. > Rubikitch
  * util/rd-mode.el: come to set indent-tabs-mode to nil.
:0.6.2
  * rd/rdblockparser: RD Include bug fix. thanks. > Arai
  * rd/rdinlineparser: Reference filename bug fix.
  * rd/rdvisitor: RMI bug caused by ruby-1.5's change of Symbol is fixed.
    thanks. > Nakada
  * util/rd-mode: some utility functions are added. thanks. > Nakada
:0.6.1
  * rd/rd2man-lib: added. thanks! > Watanabe
  * rd/rdblockparser: textblock rule become neat.
  * rd/rdblockparser: bug about List parse is fixed.
  * rd/rdblockparser: come to cut whitelines at the end of Verbatim.
  * rd/rdvisitor: (({apply_to_Include}))'s bug fixed.
  * rd/rd2html-lib: <BLOCKQUOTE> for Verbatim is removed.
  * rd2: change RD into man style.
  * rd2: option --out-code.
  * doc/rd-draft.rd: misspellings are fixed. thanks. > Yanagawa, Nakada, Sugihara
  * doc/rd-draft.rd.ja: added.
  * util/rd-mode.el: patch marged. thanks. > rubikitch
:0.6.0
  * parser tuning up. thanks for advice. > Aoki
  * MethodList. thanks. > Arai
  * error message. thanks. > Aoki
  * method index.(experimental)
  * more useful front-end.(come to use OptionParser)
  * structure is widely changed.
  * bug fix. thanks. > Nakada
  * now rdvisitor defines target label (e.g. HTML's anchor) of MethodList
    more meaningfully.
  * block parser: R/S conflicts are resolved by Aoki. thanks! > Aoki
  * inline parser:all Reference feature are covered.
  * inline parser come to use strscan.so.
  * inline parser: logic are changed. lexer becomes more simple.
  * rd2html-lib: <VERB>?? what is it? W3C hasn't defined such a element! ;-p
  * (({RefToElement})) and (({RefToURL})) disappeared. by now, (({Reference}))
    represent both type of reference. on the other hand, (({Reference::Label}))
    and its subclass are defined.
  * rd2html-lib: temporary disable Index.
  * rd-draft.rd: up-to-date. thank you for advice. > Hugh
  * util/rd-mode.el: rd-insert-url patch is marged. thanks. > rubikitch
  * rdtoolconf.rb is added, and Makefile is removed. thanks. > Takahashi
  * rd/filter: module (({RD::Filter::FileInclude})). thanks. > Nakada

:0.5.7
  * bug fix. thanks. > Nakada
:0.5.5
  * repacked version.
:0.5.4
  * filter.(undocumented)
  * BLANKLINE |--> WHITELINE
  * bug fix. thanks. > Arai
:0.5.3
  * Include (RD and target format).
  * require Racc 0.10.3 or later.
  * utils/rd-mode.el. thanks. > Arai
  * doc/rd-draft.rd.
:0.5.2
  * into RD module.
  * rd2html-mindex.rb experimental release.
  * apply some patches. thanks. > Arai & Hiwada
  * bug fix.
:0.5.0
  * reborned for new RD.
  * \cle's util/rdswap.rb. thanks > \cle
:0.2.2 (1999/08/17)
  * bad LaTeX format is fixed.(rd2latex-lib.rb) thanks > gotoken
  * bug in parse of Verbatim is fixed.(rdfmt.rb)
  * bug in parse of term part of DescListItem is fixed.
    (rdfmt.rb, rd2html-lib.rb, rd2latex-lib.rb)
  * latex metachar-escape bug is fixed.
:0.2.1 (1999/08/15)
  * Index become available.(rd2html-lib.rb)(EXPERIMENTAL)
:0.2.0 (1999/08/15)
  * script design change.(rdfmt.rb, rd2html)
  * insert "\n" into the end of line of "<!DOCTYPE ...".(rd2html-lib.rb)
  * rd2latex is released.(rd2latex, rd2latex-lib.rb)(EXPERIMENTAL)
  * ex. of "about RD Format" is improved.(rd2html, README.jp)
  * README.jp char-code fixed (ISO-2022-JP => EUC-JP).(README.jp)
:0.1.2 (1999/08/13)
  * brief English document  inside rd2html.(rd2html)
  * Japanese document is now "README.jp".(README.jp)
  * HISTORY
:0.1.1 (1999/08/13)
  * patch for HTML format mistake.(rd2html-lib.rb) Thanks > gotoken
  * fix a mistake of document(rd2html)
:0.1.0 (1999/08/12)
  * first release version

= ABOUT BUG REPORT

If you find a bug in RDtool, please add new
((<"issues at gihtub"|URL:https://github.com/uwabami/rdtool/issues>)),
or E-mail me ((<URL:mailto:uwabami@gfd-dennou.org>)).

=end
